"use strict";
this.name        = "DangerousHUD_Equipment";
this.author      = "gsagostinho, based on work by phkb";
this.copyright   = "2015 phkb, 2017 gsagostinho";
this.description = "Controls switching of Dangerous HUD to hi-contrast mode";
this.licence     = "CC BY-NC-SA 4.0";

//======================================================================================================================
// N key - used to turn cockpit mode on/off
this.activated = function() {

	var w = worldScripts.DangerousHUD;
	if (w._mode == "") {
		player.consoleMessage("Hauler cockpit mode activated");
		w._mode = "_hauler";
	} else if (w._mode == "_hauler") {
		player.consoleMessage("Glass only mode activated");
		w._mode = "_glass";
	} else {
		player.consoleMessage("Default cockpit mode activated");
		w._mode = "";
	}
	w.guiScreenChanged("", "");
	w = null;
	this.$playSound("mode"); // we'll use the same sound for mode and activate
	
}

//======================================================================================================================
// B key - used to cycle through the different crosshair modes
this.mode = function() {

	var w = worldScripts.DangerousHUD;
	w._crosshairMode += 1;
	if (w._crosshairMode == 3) w._crosshairMode = 0;
	switch (w._crosshairMode) {
		case 0:
			player.consoleMessage("Crosshairs on in all conditions");
			break;
		case 1:
			player.consoleMessage("Crosshairs on in condition red only");
			break;
		case 2:
			player.consoleMessage("Crosshairs on in condition yellow and red only");
			break;
	}
	w.$displayCrosshairs();
	w = null;
	this.$playSound("mode");
}

//-------------------------------------------------------------------------------------------------------------
// play sound effects
this.$playSound = function(soundtype) {
	var mySound = new SoundSource;

	switch (soundtype) {
		case "mode":
			mySound.sound = "[@click]";
			break;
		case "activate":
			mySound.sound = "[@beep]";
			break;
		case "stop":
			mySound.sound = "[@boop]";
			break;
	}
	mySound.loop = false;
	mySound.play();
}
